<?php
/**
 * @file
 * popsu_structure.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function popsu_structure_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-structure-global';
  $context->description = 'Contexte global de la structure du site (feature)';
  $context->tag = 'structure-feature';
  $context->conditions = array(
    'sitewide' => array(
      'values' => array(
        1 => 1,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'boxes-popsu_google_analytics' => array(
          'module' => 'boxes',
          'delta' => 'popsu_google_analytics',
          'region' => 'content',
          'weight' => '-10',
        ),
        'menu-menu-popsu-menu-footer' => array(
          'module' => 'menu',
          'delta' => 'menu-popsu-menu-footer',
          'region' => 'footer',
          'weight' => '-10',
        ),
        'menu-menu-popsu-footer-droite' => array(
          'module' => 'menu',
          'delta' => 'menu-popsu-footer-droite',
          'region' => 'footer',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte global de la structure du site (feature)');
  t('structure-feature');
  $export['popsu-structure-global'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-structure-homepage';
  $context->description = 'Contexte de la page d\'accueil du site (feature)';
  $context->tag = 'structure-feature';
  $context->conditions = array(
    'path' => array(
      'values' => array(
        '<front>' => '<front>',
      ),
    ),
  );
  $context->reactions = array();
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte de la page d\'accueil du site (feature)');
  t('structure-feature');
  $export['popsu-structure-homepage'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-structure-manager';
  $context->description = 'Contexte de structure pour le manager du site (feature)';
  $context->tag = 'structure-feature';
  $context->conditions = array(
    'user' => array(
      'values' => array(
        'editor' => 'editor',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu-menu-manager-menu' => array(
          'module' => 'menu',
          'delta' => 'menu-manager-menu',
          'region' => 'user_menu',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte de structure pour le manager du site (feature)');
  t('structure-feature');
  $export['popsu-structure-manager'] = $context;

  return $export;
}
